Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3011)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3012)
@@ -572,7 +572,8 @@
 			}
 			catch (Throwable e) {
 				// errors.add(ext);
-				Log.warning("Can't notify of " + step + " the \"+ext+\" extension: " + e);
+				
+				Log.warning(TXMCoreMessages.bind("Can't notify of {0} the \"{1}\" extension: {2}.", step, ext.getName() + " " + ext.getClass(), e));
 				Log.printStackTrace(e);
 			}
 			// }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java	(revision 3011)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/UISection.java	(revision 3012)
@@ -13,16 +13,18 @@
 import org.txm.objects.CorpusCommandPreferences;
 import org.txm.objects.Project;
 import org.txm.rcp.messages.TXMUIMessages;
-import org.w3c.dom.Element;
 
 public class UISection extends ImportEditorSection {
 	
 	private static final int SECTION_SIZE = 1;
+	
 	private Text structLimitsText;
 	
+	private Text referencePatternText;
+	
 	public UISection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
-
+		
 		this.section.setText(TXMUIMessages.commands);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
@@ -30,52 +32,78 @@
 		this.section.setLayoutData(getSectionGridData(SECTION_SIZE));
 		this.section.setEnabled(false);
 		this.section.addExpansionListener(new ExpansionAdapter() {
+			
 			@Override
-			public void expansionStateChanged(ExpansionEvent e) {form.layout(true);}
+			public void expansionStateChanged(ExpansionEvent e) {
+				form.layout(true);
+			}
 		});
-
+		
 		Composite sectionClient = toolkit.createComposite(this.section);
 		TableWrapLayout slayout = new TableWrapLayout();
 		slayout.makeColumnsEqualWidth = false;
 		slayout.numColumns = 2;
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
-
+		
+		Label sep = toolkit.createLabel(sectionClient, "Concordance");
+		sep.setToolTipText(TXMUIMessages.cannotSaveImportConfigurationNoSourceFolderSelected);
+		sep.setLayoutData(getSectionGridData(2));
+		
 		Label tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.concordanceContextStructureLimits);
 		tmpLabel.setToolTipText(TXMUIMessages.cannotSaveImportConfigurationNoSourceFolderSelected);
 		tmpLabel.setLayoutData(getLabelGridData());
-
+		
 		structLimitsText = toolkit.createText(sectionClient, "text", SWT.BORDER); //$NON-NLS-1$
+		structLimitsText.setToolTipText(TXMUIMessages.cannotSaveImportConfigurationNoSourceFolderSelected);
 		TableWrapData gdata = getTextGridData();
 		structLimitsText.setLayoutData(gdata);
+		
+		Label tmp2Label = toolkit.createLabel(sectionClient, "Reference pattern");
+		tmp2Label.setToolTipText("Reference pattern string. Properties must be wrapped in the '${}' tags. eg 'text id = ${text_id} and word = ${word}'");
+		tmp2Label.setLayoutData(getLabelGridData());
+		
+		referencePatternText = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
+		referencePatternText.setToolTipText("Reference pattern string. Properties must be wrapped in the '${}' tags. eg 'text id = ${text_id} and word = ${word}'");
+		TableWrapData gdata2 = getTextGridData();
+		referencePatternText.setLayoutData(gdata2);
 	}
-
+	
 	@Override
 	public void update(Project project) {
 		CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance");
 		if (concPrefs.get("context_limits") != null) {
 			structLimitsText.setText(concPrefs.get("context_limits"));
 		}
+		else {
+			structLimitsText.setText("");
+		}
+		if (concPrefs.get("view_reference_pattern") != null) {
+			referencePatternText.setText(concPrefs.get("view_reference_pattern"));
+		}
+		else {
+			referencePatternText.setText("");
+		}
 	}
-
+	
 	@Override
 	public boolean save(Project project) {
 		if (this.section != null && !section.isDisposed()) {
 			CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance");
 			concPrefs.set("context_limits_type", "list");
-			concPrefs.set("context_limits", structLimitsText.getText());
+			concPrefs.set("view_reference_pattern", referencePatternText.getText());
 		}
-
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean checkFields() {
 		return true;
 	}
-
+	
 	@Override
 	public int getSectionSize() {
 		return SECTION_SIZE;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3011)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3012)
@@ -819,10 +819,6 @@
 	 */
 	public void loadParams() throws ParserConfigurationException, SAXException, IOException {
 		
-		File metadataFile = Metadatas.findMetadataFile(project.getSrcdir());
-		if (metadataFile.exists())
-			this.editor.getMetaPage().setMetadataFile(metadataFile);
-		
 		Log.fine(NLS.bind(TXMUIMessages.moduleUIParametersColonP0, moduleParams));
 		this.setPartName(project.getName());
 		
